<?php

namespace App\Models;

use App\Traits\UuidPrimaryKey;
use App\Exceptions\ModelNotFoundException;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class VentaProducto extends Model {
    use UuidPrimaryKey, SoftDeletes;

    protected $table = 'venta_productos';
    protected $hidden = ['created_at', 'updated_at', 'deleted_at', 'pivot'];

    public function venta() {
        return $this->belongsTo(Venta::class);
    }

    public function producto() {
        return $this->belongsTo(Producto::class);
    }

    public function estado() {
        return $this->belongsTo(EstadoProduccion::class);
    }
}
